function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var rest = require('@octokit/rest');
var styled = _interopDefault(require('styled-components'));

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

function _templateObject6() {
  var data = _taggedTemplateLiteralLoose(["\n  margin-top: 0.25rem;\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteralLoose(["\n  margin: 0;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteralLoose(["\n  display: flex;\n  flex: 1 1;\n  flex-direction: column;\n  justify-content: center;\n  margin-left: 1rem;\n  text-align: inherit;\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteralLoose(["\n  overflow: hidden;\n  border-radius: 50%;\n  height: 4.5rem;\n  margin-bottom: 0;\n  width: 4.5rem;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteralLoose(["\n  display: flex;\n  min-width: 18.125rem;\n  width: 20%;\n  margin: 1rem;\n  padding: 1rem;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n  display: flex;\n  align-content: center;\n  flex-flow: row wrap;\n  height: 100%;\n  margin: 1rem 1rem;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Contributors = styled.div(_templateObject());
var Profile = styled.div(_templateObject2());
var Photo = styled.img(_templateObject3());
var Intro = styled.div(_templateObject4());
var Name = styled.h4(_templateObject5());
var Subtitle = styled.small(_templateObject6());

var octokit = new rest.Octokit();

var ProfileComponent = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(ProfileComponent, _React$Component);

  function ProfileComponent() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = ProfileComponent.prototype;

  _proto.render = function render() {
    return /*#__PURE__*/React.createElement(Profile, null, /*#__PURE__*/React.createElement(Photo, {
      src: this.props.avatar_url
    }), /*#__PURE__*/React.createElement(Intro, null, /*#__PURE__*/React.createElement(Name, null, this.props.name), /*#__PURE__*/React.createElement(Subtitle, null, /*#__PURE__*/React.createElement("a", {
      href: this.props.url
    }, this.props.url))));
  };

  return ProfileComponent;
}(React.Component);

var ContributorsComponent = /*#__PURE__*/function (_React$Component2) {
  _inheritsLoose(ContributorsComponent, _React$Component2);

  function ContributorsComponent(props) {
    var _this;

    _this = _React$Component2.call(this, props) || this;
    _this.state = {
      contributors: []
    };
    return _this;
  }

  var _proto2 = ContributorsComponent.prototype;

  _proto2.componentDidMount = function componentDidMount() {
    var _this2 = this;

    octokit.repos.listContributors({
      owner: this.props.owner,
      repo: this.props.repo
    }).then(function (result) {
      _this2.setState({
        contributors: [].concat(result.data)
      });
    }, function () {
      _this2.setState({
        contributors: []
      });
    });
  };

  _proto2.render = function render() {
    return /*#__PURE__*/React.createElement(Contributors, null, this.state.contributors && this.state.contributors.length ? this.state.contributors.map(function (contributor, key) {
      return /*#__PURE__*/React.createElement(ProfileComponent, {
        key: key,
        avatar_url: contributor.avatar_url,
        name: contributor.login,
        url: contributor.html_url
      });
    }) : undefined);
  };

  return ContributorsComponent;
}(React.Component);

module.exports = ContributorsComponent;
//# sourceMappingURL=index.js.map
